public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in net-www/netscape-flash: ChangeLog netscape-flash-10_beta20080811.ebuild
@ 2008-08-23  0:25 Jim Ramsay (lack)
  0 siblings, 0 replies; 3+ messages in thread
From: Jim Ramsay (lack) @ 2008-08-23  0:25 UTC (permalink / raw
  To: gentoo-commits

lack        08/08/23 00:25:29

  Modified:             ChangeLog
  Added:                netscape-flash-10_beta20080811.ebuild
  Log:
  Version bump (Bug #234542)
  (Portage version: 2.2_rc4/cvs/Linux 2.6.24-gentoo x86_64)

Revision  Changes    Path
1.70                 net-www/netscape-flash/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.70&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.70&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?r1=1.69&r2=1.70

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v
retrieving revision 1.69
retrieving revision 1.70
diff -u -r1.69 -r1.70
--- ChangeLog	3 Jul 2008 13:42:46 -0000	1.69
+++ ChangeLog	23 Aug 2008 00:25:28 -0000	1.70
@@ -1,6 +1,12 @@
 # ChangeLog for net-www/netscape-flash
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.69 2008/07/03 13:42:46 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.70 2008/08/23 00:25:28 lack Exp $
+
+*netscape-flash-10_beta20080811 (22 Aug 2008)
+
+  22 Aug 2008; Jim Ramsay <lack@gentoo.org>
+  +netscape-flash-10_beta20080811.ebuild:
+  Version bump (Bug #234542)
 
 *netscape-flash-10_beta20080702 (03 Jul 2008)
 



1.1                  net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.1&content-type=text/plain

Index: netscape-flash-10_beta20080811.ebuild
===================================================================
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v 1.1 2008/08/23 00:25:28 lack Exp $

inherit nsplugins versionator

MV=$(get_major_version)

# Excellent, Adobe uses that unsortable though surprisingly popular date
# convention "MMDDYY", so build that out of a proper "YYYYMMDD" beta version
# component:
BETA=$(get_version_component_range 2)
BETA=${BETA#beta}
BV=${BETA:4:2}${BETA:6:2}${BETA:2:2}

DESCRIPTION="Adobe Flash Player"
SRC_URI="http://download.macromedia.com/pub/labs/flashplayer${MV}/flashplayer${MV}_install_linux_${BV}.tar.gz"
HOMEPAGE="http://www.adobe.com/"
IUSE=""
SLOT="0"

KEYWORDS="-* ~amd64 ~x86"
LICENSE="AdobeFlash-9.0.31.0"
RESTRICT="strip mirror"

S="${WORKDIR}/install_flash_player_${MV}_linux"

DEPEND="amd64? ( app-emulation/emul-linux-x86-baselibs
			app-emulation/emul-linux-x86-gtklibs
			app-emulation/emul-linux-x86-soundlibs
			 app-emulation/emul-linux-x86-xlibs
			 net-libs/xulrunner-bin )
	x86? ( x11-libs/libXext
		x11-libs/libX11
		x11-libs/libXt
		=x11-libs/gtk+-2*
		media-libs/freetype
		media-libs/fontconfig
		dev-libs/nss
		net-misc/curl
		>=sys-libs/glibc-2.4 )
	app-text/acroread
	media-fonts/corefonts"

pkg_setup() {
	# This is a binary x86 package => ABI=x86
	# Please keep this in future versions
	# Danny van Dyk <kugelfang@gentoo.org> 2005/03/26
	has_multilib_profile && ABI="x86"
}

src_install() {
	exeinto /opt/netscape/plugins
	doexe libflashplayer.so
	inst_plugin /opt/netscape/plugins/libflashplayer.so

	# This version especially is ugly in that it hard-requires libcurl.so.3.  On
	# x86 systems, we could just symlink to libcurl.so.4, but by using acroread
	# to provide the needed libs we have a single solution that works for both
	# amd64 and x86, which I like marginally better.
	echo 'LDPATH="/opt/Adobe/Reader8/Reader/intellinux/lib"' > 99flash-10-libhack
	doenvd 99flash-10-libhack

	# Apparently the next release will dynamically check for libcurl.so.4 and
	# libcurl.so.3, so this will be much less ugly (especially if we can get
	# libcurl into one of the emul-linux-x86 packages).
}

pkg_postinst() {
	ewarn "Flash player is closed-source, with a long history of security"
	ewarn "issues.  Please consider only running flash applets you know to"
	ewarn "be safe.  The firefox 'flashblock' extension may help:"
	ewarn "  https://addons.mozilla.org/en-US/firefox/addon/433"
}






^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in net-www/netscape-flash: ChangeLog netscape-flash-10_beta20080811.ebuild
@ 2008-08-25 19:12 Jim Ramsay (lack)
  0 siblings, 0 replies; 3+ messages in thread
From: Jim Ramsay (lack) @ 2008-08-25 19:12 UTC (permalink / raw
  To: gentoo-commits

lack        08/08/25 19:12:16

  Modified:             ChangeLog netscape-flash-10_beta20080811.ebuild
  Log:
  Use a custom 'flash-libcompat' tarball which contains the libraries previously used from app-text/acroread, to remove that dependency.
  (Portage version: 2.2_rc4/cvs/Linux 2.6.24-gentoo x86_64)

Revision  Changes    Path
1.71                 net-www/netscape-flash/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.71&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.71&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?r1=1.70&r2=1.71

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v
retrieving revision 1.70
retrieving revision 1.71
diff -u -r1.70 -r1.71
--- ChangeLog	23 Aug 2008 00:25:28 -0000	1.70
+++ ChangeLog	25 Aug 2008 19:12:16 -0000	1.71
@@ -1,6 +1,11 @@
 # ChangeLog for net-www/netscape-flash
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.70 2008/08/23 00:25:28 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.71 2008/08/25 19:12:16 lack Exp $
+
+  25 Aug 2008; Jim Ramsay <lack@gentoo.org>
+  netscape-flash-10_beta20080811.ebuild:
+  Use a custom 'flash-libcompat' tarball which contains the libraries
+  previously used from app-text/acroread, to remove that dependency.
 
 *netscape-flash-10_beta20080811 (22 Aug 2008)
 



1.2                  net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?r1=1.1&r2=1.2

Index: netscape-flash-10_beta20080811.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- netscape-flash-10_beta20080811.ebuild	23 Aug 2008 00:25:28 -0000	1.1
+++ netscape-flash-10_beta20080811.ebuild	25 Aug 2008 19:12:16 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v 1.1 2008/08/23 00:25:28 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v 1.2 2008/08/25 19:12:16 lack Exp $
 
 inherit nsplugins versionator
 
@@ -14,7 +14,8 @@
 BV=${BETA:4:2}${BETA:6:2}${BETA:2:2}
 
 DESCRIPTION="Adobe Flash Player"
-SRC_URI="http://download.macromedia.com/pub/labs/flashplayer${MV}/flashplayer${MV}_install_linux_${BV}.tar.gz"
+SRC_URI="http://download.macromedia.com/pub/labs/flashplayer${MV}/flashplayer${MV}_install_linux_${BV}.tar.gz
+mirror://gentoo/flash-libcompat-0.1.tar.bz2"
 HOMEPAGE="http://www.adobe.com/"
 IUSE=""
 SLOT="0"
@@ -28,8 +29,8 @@
 DEPEND="amd64? ( app-emulation/emul-linux-x86-baselibs
 			app-emulation/emul-linux-x86-gtklibs
 			app-emulation/emul-linux-x86-soundlibs
-			 app-emulation/emul-linux-x86-xlibs
-			 net-libs/xulrunner-bin )
+			app-emulation/emul-linux-x86-xlibs
+			|| ( net-libs/xulrunner-bin www-client/mozilla-firefox-bin ) )
 	x86? ( x11-libs/libXext
 		x11-libs/libX11
 		x11-libs/libXt
@@ -39,9 +40,12 @@
 		dev-libs/nss
 		net-misc/curl
 		>=sys-libs/glibc-2.4 )
-	app-text/acroread
 	media-fonts/corefonts"
 
+# Our new flash-libcompat suffers from the same EXESTACK problem as libcrypto
+# from app-text/acroread, so tell QA to ignore it:
+QA_EXECSTACK="opt/flash-libcompat/libcrypto.so.0.9.7"
+
 pkg_setup() {
 	# This is a binary x86 package => ABI=x86
 	# Please keep this in future versions
@@ -54,16 +58,20 @@
 	doexe libflashplayer.so
 	inst_plugin /opt/netscape/plugins/libflashplayer.so
 
-	# This version especially is ugly in that it hard-requires libcurl.so.3.  On
-	# x86 systems, we could just symlink to libcurl.so.4, but by using acroread
-	# to provide the needed libs we have a single solution that works for both
-	# amd64 and x86, which I like marginally better.
-	echo 'LDPATH="/opt/Adobe/Reader8/Reader/intellinux/lib"' > 99flash-10-libhack
-	doenvd 99flash-10-libhack
+	# This version especially is ugly in that it hard-requires libcurl.so.3,
+	# libcrypto.so.0.9.7 and libssl.so.0.9.7, so we just provide our own 32-bit
+	# binary version of these libs.
+	exeinto /opt/flash-libcompat
+	pushd "${WORKDIR}/flash-libcompat-0.1/"
+	doexe *
+	popd
+	echo 'LDPATH="/opt/flash-libcompat"' > 99flash-libcompat
+	doenvd 99flash-libcompat
 
 	# Apparently the next release will dynamically check for libcurl.so.4 and
-	# libcurl.so.3, so this will be much less ugly (especially if we can get
-	# libcurl into one of the emul-linux-x86 packages).
+	# libcurl.so.3 (and maybe the SSLs too, I hope) , so this will be slightly
+	# less ugly (especially if we can get libcurl into one of the emul-linux-x86
+	# packages)
 }
 
 pkg_postinst() {






^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in net-www/netscape-flash: ChangeLog netscape-flash-10_beta20080811.ebuild
@ 2008-09-09  3:43 Jim Ramsay (lack)
  0 siblings, 0 replies; 3+ messages in thread
From: Jim Ramsay (lack) @ 2008-09-09  3:43 UTC (permalink / raw
  To: gentoo-commits

lack        08/09/09 03:43:11

  Modified:             ChangeLog netscape-flash-10_beta20080811.ebuild
  Log:
  Added magic 'mms.cfg' file for system-wide security configuration.  Also, this file allows 'Windowless' mode to be disabled, which makes things much more stable pre-firefox-3.02
  (Portage version: 2.2_rc8/cvs/Linux 2.6.23-gentoo-r5 i686)

Revision  Changes    Path
1.72                 net-www/netscape-flash/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.72&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?rev=1.72&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/ChangeLog?r1=1.71&r2=1.72

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v
retrieving revision 1.71
retrieving revision 1.72
diff -u -r1.71 -r1.72
--- ChangeLog	25 Aug 2008 19:12:16 -0000	1.71
+++ ChangeLog	9 Sep 2008 03:43:10 -0000	1.72
@@ -1,6 +1,12 @@
 # ChangeLog for net-www/netscape-flash
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.71 2008/08/25 19:12:16 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/ChangeLog,v 1.72 2008/09/09 03:43:10 lack Exp $
+
+  09 Sep 2008; Jim Ramsay <lack@gentoo.org> +files/mms.cfg,
+  netscape-flash-10_beta20080811.ebuild:
+  Added magic 'mms.cfg' file for system-wide security configuration. Also,
+  this file allows 'Windowless' mode to be disabled, which makes things much
+  more stable pre-firefox-3.02
 
   25 Aug 2008; Jim Ramsay <lack@gentoo.org>
   netscape-flash-10_beta20080811.ebuild:



1.3                  net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild?r1=1.2&r2=1.3

Index: netscape-flash-10_beta20080811.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- netscape-flash-10_beta20080811.ebuild	25 Aug 2008 19:12:16 -0000	1.2
+++ netscape-flash-10_beta20080811.ebuild	9 Sep 2008 03:43:10 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v 1.2 2008/08/25 19:12:16 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/netscape-flash/netscape-flash-10_beta20080811.ebuild,v 1.3 2008/09/09 03:43:10 lack Exp $
 
 inherit nsplugins versionator
 
@@ -72,6 +72,10 @@
 	# libcurl.so.3 (and maybe the SSLs too, I hope) , so this will be slightly
 	# less ugly (especially if we can get libcurl into one of the emul-linux-x86
 	# packages)
+
+	# The magic config file!
+	insinto "/etc/adobe"
+	doins "${FILESDIR}/mms.cfg"
 }
 
 pkg_postinst() {
@@ -79,4 +83,8 @@
 	ewarn "issues.  Please consider only running flash applets you know to"
 	ewarn "be safe.  The firefox 'flashblock' extension may help:"
 	ewarn "  https://addons.mozilla.org/en-US/firefox/addon/433"
+	echo
+	ewarn "Furthermore, <www-client/mozilla-firefox-3.0.2 is known to crash"
+	ewarn "with the new 'Windowless' (transparent) mode.  To disable this and"
+	ewarn "avoid the crashes, set 'WindowlessDisable = 1' in /etc/adobe/mms.cfg"
 }






^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2008-09-09  3:43 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-08-25 19:12 [gentoo-commits] gentoo-x86 commit in net-www/netscape-flash: ChangeLog netscape-flash-10_beta20080811.ebuild Jim Ramsay (lack)
  -- strict thread matches above, loose matches on Subject: below --
2008-09-09  3:43 Jim Ramsay (lack)
2008-08-23  0:25 Jim Ramsay (lack)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox